Benefits

Update a benefit

Updates a benefit.

PATCH
/benefits/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

Benefit payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/benefits/ben_IhMUl3rrZ3" \  -H "Content-Type: application/json" \  -d '{    "name": "Updated API access",    "description": "Updated description"  }'
{
  "benefit": {
    "object": "benefit",
    "id": "ben_IhMUl3rrZ3",
    "created_at": "2026-05-13T10:09:31.569Z",
    "name": "API access",
    "code": "northwind-api-access",
    "description": "Gates access to Northwind API products",
    "status": "active",
    "type": "feature_access"
  },
  "meta": {
    "request_id": "req_IhMUl3rrZ3"
  }
}